// MFC_ControlsView.h : interface of the CMFC_ControlsView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MFC_CONTROLSVIEW_H__B3BE6690_D100_11D3_9F37_080009EE62AA__INCLUDED_)
#define AFX_MFC_CONTROLSVIEW_H__B3BE6690_D100_11D3_9F37_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CPNImageButton.h"

class CMFC_ControlsView : public CFormView
{
protected: // create from serialization only
	CMFC_ControlsView();
	DECLARE_DYNCREATE(CMFC_ControlsView)

public:
	//{{AFX_DATA(CMFC_ControlsView)
	enum { IDD = IDD_MFC_CONTROLS_FORM };
	CPNImageButton	m_ImageWithText;
	//}}AFX_DATA

// Attributes
public:
	CMFC_ControlsDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMFC_ControlsView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMFC_ControlsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CComboBox m_DynaCombo;
	CListBox m_DynaList;
	CEdit m_DynaEdit;

	CButton m_DynaCheck;
	CButton m_DynaButton;
	CButton m_DynaRadio1, m_DynaRadio2, m_DynaRadio3;

// Generated message map functions
protected:
	//{{AFX_MSG(CMFC_ControlsView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnCheckflat();
	afx_msg void OnCheckicon();
	afx_msg void OnButtonimg2();
	afx_msg void OnButtonname();
	afx_msg void OnCheckpassword();
	afx_msg void OnCheckreadonly();
	afx_msg void OnEditchangeComboedit();
	afx_msg void OnSelchangeComboedit();
	afx_msg void OnSelchangeList1();
	afx_msg void OnChangeEditname();
	afx_msg void OnCheckpushlike();
	afx_msg void OnChecktristate();
	afx_msg void OnButtonnameclear();
	afx_msg void OnEditCopy();
	afx_msg void OnUpdateEditCopy(CCmdUI* pCmdUI);
	afx_msg void OnEditCut();
	afx_msg void OnUpdateEditCut(CCmdUI* pCmdUI);
	afx_msg void OnEditPaste();
	afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);
	afx_msg void OnStaticicon();
	//}}AFX_MSG
	afx_msg void OnClickDynamic();
	afx_msg void OnClickDynamicCheck();
	afx_msg void OnSelchangeComboDynamic();
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in MFC_ControlsView.cpp
inline CMFC_ControlsDoc* CMFC_ControlsView::GetDocument()
   { return (CMFC_ControlsDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFC_CONTROLSVIEW_H__B3BE6690_D100_11D3_9F37_080009EE62AA__INCLUDED_)
